Bug 20111 - Patron card creator - some strings are not translatable
Summary: Patron card creator - some strings are not translatable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Victor Grousset/tuxayo
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-31 09:58 UTC by Victor Grousset/tuxayo
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20111: Coding style: Fix indentation before doing actual change (2.88 KB, patch)
2018-02-14 10:37 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 20111: i18nize units in Patron card creator (2.22 KB, patch)
2018-02-14 10:37 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 20111: i18n Patron card creator: wrap with <span> (1.90 KB, patch)
2018-03-05 10:27 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 20111: i18nize units in Patron card creator (2.28 KB, patch)
2018-03-05 10:30 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 20111: i18nize units in Patron card creator (2.33 KB, patch)
2018-03-22 02:32 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20111: Coding style: Fix indentation before doing actual change (2.93 KB, patch)
2018-03-22 02:33 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20111: i18nize units in Patron card creator (2.33 KB, patch)
2018-03-22 02:33 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20111: Coding style: Fix indentation before doing actual change (2.93 KB, patch)
2018-03-25 09:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20111: i18nize units in Patron card creator (2.39 KB, patch)
2018-03-25 09:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2018-01-31 09:58:11 UTC
Hopefully at least 80% of the fixes and 70% of the test plan of bug 19522 will be reusable.
Comment 1 Victor Grousset/tuxayo 2018-02-14 10:37:50 UTC
Created attachment 71603 [details] [review]
Bug 20111: Coding style: Fix indentation before doing actual change
Comment 2 Victor Grousset/tuxayo 2018-02-14 10:37:53 UTC
Created attachment 71604 [details] [review]
Bug 20111: i18nize units in Patron card creator

Test plan:
1. install and switch to the fr_FR locale
     or another one and adapt the test plan accordingly
2. go to /cgi-bin/koha/patroncards/edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units
Comment 3 Victor Grousset/tuxayo 2018-02-14 10:42:00 UTC
Actually the Patron card creator didn't lack as much i18n as the Label creator.

I was fooled by the french translations not being complete in master when they were in Pootle. ^^
Comment 4 Jonathan Druart 2018-02-27 16:52:20 UTC
We should surround these strings with a HTML tag (span?) to avoid TT directives in the po files (please apply the fix to both .tt)
Comment 5 Victor Grousset/tuxayo 2018-03-03 17:58:18 UTC
(In reply to Jonathan Druart from comment #4)
> (please apply the fix to both .tt)

There is one .tt in this bug. Did you mean bug 19522?
Comment 6 Victor Grousset/tuxayo 2018-03-05 10:27:14 UTC Comment hidden (obsolete)
Comment 7 Victor Grousset/tuxayo 2018-03-05 10:30:44 UTC
Created attachment 72410 [details] [review]
Bug 20111: i18nize units in Patron card creator

Test plan:
1. install and switch to the fr_FR locale
     or another one and adapt the test plan accordingly
2. go to /cgi-bin/koha/patroncards/edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units
Comment 8 Victor Grousset/tuxayo 2018-03-05 10:32:57 UTC
(In reply to Jonathan Druart from comment #4)
> We should surround these strings with a HTML tag (span?) to avoid TT
> directives in the po files (please apply the fix to both .tt)

Done in this bug.
Initially in a separate patch but then the two patches were squashed.
Comment 9 M. Tompsett 2018-03-22 02:32:43 UTC
Created attachment 73146 [details] [review]
Bug 20111: i18nize units in Patron card creator

Test plan:
1. install and switch to the fr_FR locale
     or another one and adapt the test plan accordingly
2. go to /cgi-bin/koha/patroncards/edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 10 M. Tompsett 2018-03-22 02:33:23 UTC
Created attachment 73147 [details] [review]
Bug 20111: Coding style: Fix indentation before doing actual change

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 11 M. Tompsett 2018-03-22 02:33:26 UTC
Created attachment 73148 [details] [review]
Bug 20111: i18nize units in Patron card creator

Test plan:
1. install and switch to the fr_FR locale
     or another one and adapt the test plan accordingly
2. go to /cgi-bin/koha/patroncards/edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 12 Katrin Fischer 2018-03-25 09:58:27 UTC
Created attachment 73236 [details] [review]
Bug 20111: Coding style: Fix indentation before doing actual change

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 13 Katrin Fischer 2018-03-25 09:58:32 UTC
Created attachment 73237 [details] [review]
Bug 20111: i18nize units in Patron card creator

Test plan:
1. install and switch to the fr_FR locale
     or another one and adapt the test plan accordingly
2. go to /cgi-bin/koha/patroncards/edit-template.pl?op=new
3. then you should see the "Unités" dropdown with english units
4. apply this patch
5. install the language
6. refresh the page
7. then you should see the "Unités" dropdown with french units

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2018-03-26 20:38:00 UTC
Pushed to master for 18.05, thanks to everybody involved!